{% extends 'base.html' %}
{% load staticfiles %}

{% block content_block %}

    <div class="container col-10 col-md-8 container-welcome-message mt-5 d-flex align-items-end justify-content-center">
        <!-- Welcome Message -->
        <h1 class="display-1">Halo Andhika!</h1>
    </div>
    
    <div class="container col-10 col-md-8 mx-auto container-status-form">
        <!-- Status Form -->
        <form action="{% url 'landingPage:addStatus' %}" method="POST">
            {% csrf_token %}
            {{form.as_p}}
            <div class="button-container">
                <input type="submit" class="btn btn-primary" id="statusSubmit" name="submit" value="Tweet">
            </div>
        </form>
    </div>

    <div class="container col-10 col-md-8 mx-auto mt-5 pt-5">
        <!-- Tweets -->
        {% for data in status %}
            <div class="card my-2">
                <div class="card-body">
                        {{data.status}}
                </div>
                <h6 class="card-subtitle ml-auto m-1 text-muted">{{data.timestamp}}</h6>
            </div>
            
        {% endfor %}    
    </div>
    
    {% endblock content_block %}